Description

The EPSG panel list all the deprecated CRSs (by EPSG) and unsupported CRS types (by gvSIG), i.e. "geographic 3D",
"engineering", "vertical", "compound" and "geocentric". The last case sometimes produces the tedious "CRS not supported" warning
after the CRS search. Furthermore, not all valid CRSs for Italy are listed in "Search by area" option (for instance, the "Monte Mario"
ones), so the SQL statements behind the scene need a bit of fine tuning. 
I attach a patch that solves all these related issues.

Associated revisions
Revision 343 - 05/18/2015 10:40 AM - Francisco Díaz Carsí

fixes #3477 Applied EPSGpanel_2.patch provided by Antonio Falciano

History
#1 - 05/15/2015 11:17 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2310
- Assignee set to Francisco Díaz Carsí

#2 - 05/18/2015 12:14 AM - Antonio Falciano
- File EPSGpanel_2.patch added

I attach an improved version of the patch (EPSGpanel_2.patch) which substitutes the first one, where I've replaced some redundant queries with a
more general one (the condition on the text to search only changes) and finally added an i18n translation ("warning" in place of "Warning..."). I believe
that the behaviour of the EPSG panel is more comfortable now.

#3 - 05/18/2015 10:42 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

Applied EPSGpanel_2.patch provided by Antonio Falciano

#4 - 05/19/2015 07:46 PM - Antonio Falciano
- Status changed from Fixed to Closed

Files
EPSGpanel.patch 7.6 KB 05/12/2015 Antonio Falciano
EPSGpanel_2.patch 12.6 KB 05/17/2015 Antonio Falciano
